// cButtonControl.h: interface for the cButtonControl class.
//
//////////////////////////////////////////////////////////////////////
/*
	일반 컨트롤들을 추상화하고
	서브클래싱을 통한 윈도우 프로시져를 제공한다.
*/
#ifndef cControl_H
#define cControl_H

#include "cWindow.h"

class cCommonControl : public cWindow{
private:
	LONG OldWindowProc;

protected:
	virtual BOOL RegisterClass(){ return true; }
	virtual char *GetClassName(){ return "button"; }
	virtual BOOL IsClassRegistered(){ return true; }
	virtual LRESULT Proc(UINT uMsg, WPARAM wParam, LPARAM lParam);


public:
	cCommonControl();
	virtual ~cCommonControl();

	BOOL Create(DWORD dwExStyle, LPCTSTR lpClassName, 
		LPSTR lpWindowName, DWORD dwStyle, 
		int x, int y, int nWidth, int nHeight, 
		cWindow *_pParent, DWORD Id);

};

#endif
